"""
2021.5.20 create by kefeng.zheng
DEMO用常量
"""
class demo_constants:
	class ConstError(TypeError) : pass

	def __setattr__(self, key, value):
		if key in self.__dict__:
			raise self.ConstError("constant reassignment error!")
		self.__dict__[key] = value

demo_constants = demo_constants()
# 汇付分配系统号
demo_constants.DEMO_SYS_ID = '分配系统号'
# 商户进件后分配的商户号
demo_constants.DEMO_HUIFU_ID = '进件后返回商户号'
# 汇付分配产品号
demo_constants.DEMO_PRODUCT_ID = '分配产品号'
# 汇付分配私钥，用于报文签名
demo_constants.RSA_PRIVATE_KEY = '分配私钥'
# 汇付分配公钥，用于报文签名验证
demo_constants.RSA_PUBLIC_KEY = '分配公钥'
# 参与分账的商户号
demo_constants.DEMO_DIV_HUIFU_ID = '参与分账商户号'
# 取现卡序列号
demo_constants.TOKEN_NO = '取现卡序列号'
