"""
2021.5.20 create by kefeng.zheng
默认请求对象
"""

import json

from basepay_sdk.basepay import BasePay
from basepay_sdk.api_request import ApiRequest

class BasePayClient:

	@staticmethod
	def post_request(func_code, request_params, merchant_key = 'default'):
		# 风控信息送的json时转换为字符串
		if 'risk_check_info' in request_params:
			if (request_params['risk_check_info'] is not None and not isinstance(request_params['risk_check_info'], str)):
				request_params['risk_check_info'] = json.dumps(request_params['risk_check_info']);

		return ApiRequest.post(func_code, request_params, merchant_key)

		
	@staticmethod
	def upload_file(func_code, request_params, request_file = None, merchant_key = 'default'):
		return ApiRequest.post(func_code, request_params, merchant_key, request_file);